| Home | Libraries | People | FAQ | More

## Struct template greater_base

boost::numeric::functional::greater_base

## Synopsis

    template<typename Left, typename Right, typename EnableIf = void>
    struct greater_base : public std::binary_function< Left, Right, typeof(lvalue< Left >() > lvalue< Right >())>
    {

      // public member functions
      result_type operator()(Left &, Right &) const;
    };

## Description

### `greater_base` public member functions

1.     result_type operator()(Left & left, Right & right) const;

   Returns: | left > right